For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
      • GETList all Cases
      • POSTCreate a Case
      • GETRetrieve a Case
      • DELRedact a Case
      • PATCHUpdate a Case
      • POSTAdd Persona objects to a Case
      • POSTAssign a Case
      • POSTSet status on a Case
      • POSTAdd tag to a Case
      • POSTRemove tag from a Case
      • POSTSet tags on a Case
      • POSTSearch Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceCases

List all Cases

GET
https://api.withpersona.com/api/v1/cases
GET
/api/v1/cases
$curl https://api.withpersona.com/api/v1/cases \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "case_KsFU1Vxv9oK3ztnwQuD7MaJo",
5 "attributes": {
6 "status": "open",
7 "name": "KCAS-1",
8 "created-at": "2021-03-24T04:59:21.764Z",
9 "updated-at": "2021-03-24T04:59:21.764Z",
10 "creator-id": "case_creator@withpersona.com",
11 "creator-type": "user",
12 "assignee-id": "case_assignee@withpersona.com",
13 "assigner-id": "case_assigner@withpersona.com",
14 "assigner-type": "user",
15 "updater-id": "case_updater@withpersona.com",
16 "updater-type": "user",
17 "tags": [],
18 "fields": {},
19 "attachments": []
20 },
21 "relationships": {
22 "accounts": {
23 "data": []
24 },
25 "case-comments": {
26 "data": []
27 },
28 "case-template": {
29 "data": {
30 "id": "ctmpl_336jV1uVaaY84GAqvG91oiy9",
31 "type": "case-template"
32 }
33 },
34 "case-queue": {
35 "data": {
36 "id": "cqueue_7JRbkcdbx9fTossK98NJvRZcmk1",
37 "type": "case-queue"
38 }
39 },
40 "inquiries": {
41 "data": [
42 {
43 "id": "inq_eGK41TM6GjcZgdcoox7x8Hh0",
44 "type": "inquiry"
45 }
46 ]
47 },
48 "reports": {
49 "data": []
50 },
51 "verifications": {
52 "data": []
53 },
54 "txns": {
55 "data": []
56 }
57 },
58 "type": "case"
59 }
60 ],
61 "links": {
62 "next": "/api/v1/cases?page%5Bafter%5D=case_19pQg1NHfYeUdpIvYZ54xmDz",
63 "prev": "/api/v1/cases?page%5Bbefore%5D=case_1ePP8j3pyznPCEuw4TCjWWD0"
64 }
65}
Returns a list of your organization's cases. Note that this endpoint aggregates cases across all case template(s). See [Pagination](https://docs.withpersona.com/pagination)for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Create a Case

Next
Built with

Returns a list of your organization’s cases.

Note that this endpoint aggregates cases across all case template(s). See Paginationfor more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection of Case objects.
datalist of objects
An array of Cases
linksobject
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.